Bug 137855 - ia32el cannot execute non-readable binaries
ia32el cannot execute non-readable binaries
Status: CLOSED RAWHIDE
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: ia32el (Show other bugs)
4.0
ia64 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks: 135876
  Show dependency treegraph
 
Reported: 2004-11-02 03:56 EST by Yoav Zach
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-11 13:14:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yoav Zach 2004-11-02 03:56:12 EST
Description of problem:
ia32el cannot execute non-readable binaries. to fix that - please 
change the activation script: the string passed to the kernel for 
registering ia32el as the translator of elf32 binaries currently ends 
with ":P". adding the flag C (":PC") will tell the kernel to open the 
binary for ia32el and thus fix the problem.


Version-Release number of selected component (if applicable):
ia32el-1.1-4

How reproducible:
consistently

Steps to Reproduce:
put the simplest 32 bit binary in a local directory (not nfs), change 
its permissions to be non-readable and try to execute it. the process 
will fail silently.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jakub Jelinek 2004-11-02 05:08:59 EST
Should be fixed in ia32el-1.1-8.
Comment 2 Jay Turner 2004-11-11 13:14:39 EST
Fix confirmed with ia32el-1.1-9.

Note You need to log in before you can comment on or make changes to this bug.